<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a747f5e201d28518cc1621bfe21b9d752">DefVal</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#aa35c189d7ffa17c4ae44a6e890c5819b">Name</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a2471c073073ece76736aacd122ad38c4">Parameter</a>()</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#aaf05fdf937f8f8ad268b66a01c7e3720">Parameter</a>(string name, string type=default, object defVal=default)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a0f3148e4852172ee3be77b0ea89e64d6">Type</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a849fc8e3045bd4a695b9ee48c7973cc7">WithDefVal</a>(object defVal)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a61e44db374454add0e25d44e0f125c25">WithName</a>(string name)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a364efcb7adabe7f870b7c4405d143581">WithType</a>(string type)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
